/Users/bernard/b20/bsoft/radon/radon_util.h(3)

NAME
/Users/bernard/b20/bsoft/radon/radon_util.h

SYNOPSIS

#include 'rwimg.h'

  Functions
int rotZ_cart (double x, double y, double z, double ang, double *xx, double *yy, double *zz)
Rotates a vector of cartesian coordinates along the Z axis.
int rotY_cart (double x, double y, double z, double ang, double *xx, double *yy, double *zz)
Rotates a vector of cartesian coordinates along the Y axis.
int rotX_cart (double x, double y, double z, double ang, double *xx, double *yy, double *zz)
Rotates a vector of cartesian coordinates along the X axis.
double ang_one_two (double a1, double b1, double a2, double b2)
Calculates the angle (in radians) from 2 vectors.
int sphere (Bimage *p)
int mean_to_0 (Bimage *p)
Set each value equal to old_value-(first image pixel)

Detailed Description

Author:
    P.L. Bellon, F. Cantele and S. Lanzavecchia Dip. Chimica Strutturale e Stereochimica Inorganica Via Venezian 21, 20133 Milano, Italy

Date:
    Created: 7 04 2003

    Modified: 07 07 2005

Definition in file radon_util.h.

Function Documentation

  double ang_one_two (double a1, double b1, double a2, double b2)

Calculates the angle (in radians) from 2 vectors.

Parameters:
    a1 first coordinate of first vector
    b1 second coordinate of first vector
    a2 first coordinate of second vector
    b2 second coordinate of second vector

Returns:
    double angle

Definition at line 89 of file radon_util.cpp.

  int mean_to_0 (Bimage * p)

Set each value equal to old_value-(first image pixel)

Parameters:
    *p image.

Returns:
    int 0.

Definition at line 193 of file radon_util.cpp.

  int rotX_cart (double x, double y, double z, double ang, double * xx, double * yy, double * zz)

Rotates a vector of cartesian coordinates along the X axis.

Parameters:
    x x coordinate of starting vector
    y y coordinate of starting vector
    z z coordinate of starting vector
    ang rotation angle (in radiants)
    *xx x coordinate of rotated vector
    *yy y coordinate of rotated vector
    *zz z coordinate of rotated vector

Returns:
    int 0

Definition at line 71 of file radon_util.cpp.

  int rotY_cart (double x, double y, double z, double ang, double * xx, double * yy, double * zz)

Rotates a vector of cartesian coordinates along the Y axis.

Parameters:
    x x coordinate of starting vector
    y y coordinate of starting vector
    z z coordinate of starting vector
    ang rotation angle (in radiants)
    *xx x coordinate of rotated vector
    *yy y coordinate of rotated vector
    *zz z coordinate of rotated vector

Returns:
    int 0

Definition at line 50 of file radon_util.cpp.

  int rotZ_cart (double x, double y, double z, double ang, double * xx, double * yy, double * zz)

Rotates a vector of cartesian coordinates along the Z axis.

Parameters:
    x x coordinate of starting vector
    y y coordinate of starting vector
    z z coordinate of starting vector
    ang rotation angle (in radiants)
    *xx x coordinate of rotated vector
    *yy y coordinate of rotated vector
    *zz z coordinate of rotated vector

Returns:
    int 0

Definition at line 29 of file radon_util.cpp.

  int sphere (Bimage * p)

Parameters:
    *p

Returns:
    int 0

Definition at line 114 of file radon_util.cpp.

Author

Generated automatically by Doxygen for Bsoft from the source code.